﻿@model IEnumerable<ToitKoju.Category>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
    @Html.ActionLink("Go to the Store Index", "Index")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.CategoryName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Picture)
        </th>
        <th></th>
    </tr>




@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.CategoryName)
            @*@Html.ActionLink(modelItem => item.CategoryName, new { Id = item.CategoryID }, null)*@

        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Description)
        </td>
        <td>
            @*@Html.DisplayFor(modelItem => item.Picture)*@
            <img src='@Url.Action( "CategoryImage", "Shop", new { id = item.CategoryID } )' height="80" />
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id = item.CategoryID }) |
            @Html.ActionLink("Details", "Details", new { id = item.CategoryID }) |
            @Html.ActionLink("Delete", "Delete", new { id = item.CategoryID })
        </td>
    </tr>
}

</table>
